namespace efl { 
inline ::efl::eolian::return_traits<double>::type Event::timestamp_get() const
{
   double __return_value =  ::efl_event_timestamp_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<double>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Event::timestamp_set( ::efl::eolian::in_traits<double>::type ms) const
{
    ::efl_event_timestamp_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<double,  ::efl::eolian::in_traits<double>::type>(ms));
}
inline ::efl::eolian::return_traits<void>::type Event::reset() const
{
    ::efl_event_reset(this->_eo_ptr());
}
inline ::efl::eolian::return_traits< ::efl::Event>::type Event::dup() const
{
    ::Efl_Event* __return_value =  ::efl_event_dup(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits< ::efl::Event>::type>(__return_value);
}
} 
namespace eo_cxx {
namespace efl { 
inline ::efl::eolian::return_traits<double>::type Event::timestamp_get() const
{
   double __return_value =  ::efl_event_timestamp_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<double>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Event::timestamp_set( ::efl::eolian::in_traits<double>::type ms) const
{
    ::efl_event_timestamp_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<double,  ::efl::eolian::in_traits<double>::type>(ms));
}
inline ::efl::eolian::return_traits<void>::type Event::reset() const
{
    ::efl_event_reset(this->_eo_ptr());
}
inline ::efl::eolian::return_traits< ::efl::Event>::type Event::dup() const
{
    ::Efl_Event* __return_value =  ::efl_event_dup(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits< ::efl::Event>::type>(__return_value);
}
inline efl::Event::operator ::efl::Event() const { return *static_cast< ::efl::Event const*>(static_cast<void const*>(this)); }
inline efl::Event::operator ::efl::Event&() { return *static_cast< ::efl::Event*>(static_cast<void*>(this)); }
inline efl::Event::operator ::efl::Event const&() const { return *static_cast< ::efl::Event const*>(static_cast<void const*>(this)); }
} }

